package com.finstone.app.common.controller;

import com.fins.html.utils.VerifyUtils;
import com.finstone.app.common.support.User;
import com.finstone.framework.support.holder.SecurityHolder;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class FrameController {

   @RequestMapping(
      value = {"/login"},
      method = {RequestMethod.GET}
   )
   public String login() {
      SecurityHolder.logout();
      return "login";
   }

   @RequestMapping(
      value = {"/login"},
      method = {RequestMethod.POST}
   )
   public String login_fail(@RequestParam("username") String userName, Model model) {
      String uname = VerifyUtils.scriptVerify(userName, "");
      model.addAttribute("username", uname);
      return "login";
   }

   @RequestMapping(
      value = {"/main"},
      method = {RequestMethod.GET}
   )
   public String main(ModelMap model) {
      return "main";
   }

   public void render(HttpServletResponse response, String text, String contentType) {
      try {
         response.setHeader("Pragma", "No-cache");
         response.setHeader("Cache-Control", "no-cache");
         response.setDateHeader("Expires", 0L);
         response.setContentType(contentType);
         response.getWriter().write(text);
         response.getWriter().close();
      } catch (IOException var5) {
         var5.printStackTrace();
      }

   }

   @RequestMapping(
      value = {"/sessionout"},
      method = {RequestMethod.GET}
   )
   @ResponseBody
   public Map logout(HttpServletRequest request, HttpServletResponse response) {
      HashMap map = new HashMap();
      Subject subject = SecurityUtils.getSubject();
      User user = (User)subject.getPrincipal();
      if(subject != null && subject.getPrincipal() != null) {
         subject.logout();
         map.put("code", Integer.valueOf(1));
      } else {
         map.put("code", Integer.valueOf(-1));
      }

      return map;
   }
}
